Cannot Upgrade Plesk: ERROR while trying to upgrade APSC SQL database from 11.1.0

Created:

2016-11-16 13:26:00 UTC

Modified:

2017-08-16 17:18:34 UTC

2

Was this article helpful?


Have more questions?

Submit a request

Cannot Upgrade Plesk: ERROR while trying to upgrade APSC SQL database from 11.1.0

Applicable to:

  • Plesk 11.x for Linux

Symptoms

It is not possible to upgrade Parallel Plesk to version 12.x. The upgrade process fails with the following error:

ERROR while trying to upgrade APSC SQL database from 11.1.0
Check the error reason(see log file: /var/log/plesk/install/plesk_12.0.18_installation.log), fix and try again

Following query shows that apsc database is empty:

# mysql -uadmin -p`cat /etc/psa/.psa.shadow` apsc -e"Show tables"
#

Cause

Empty apsc database.

Resolution

Recreate apsc database, below case is for Plesk 11.0.9:

# mysql -uadmin -p`cat /etc/psa/.psa.shadow` apsc < /usr/local/psa/bootstrapper/pp11.0.9-bootstrapper/db/apsc_mysql_db.sql

# /usr/local/psa/bin/sw-engine-pleskrun /usr/local/psa/admin/plib/scripts/register_apsc_database.php --register -host localhost -port 3306 -database apsc -login apsc -password <any_password>
Have more questions? Submit a request
Please sign in to leave a comment.